using UnityEngine;
using UnityEngine.UI;
using System.Collections;
using System;

namespace GGJ16
{
    public class PictureController : MonoBehaviour
    {
        Client client;

        public Sprite godFire;
        public Sprite godIce;
        public Sprite godLight;

        void Start()
        {
            client = Client.instance;

        }

        void Update()
        {
            switch(client.turnService.currentPlayerTurn)
            {
                case 1:
                    gameObject.GetComponent<Image>().sprite = godFire;
                    break;

                case 2:
                    gameObject.GetComponent<Image>().sprite = godIce;
                    break;

                case 3:
                    gameObject.GetComponent<Image>().sprite = godLight;
                    break;

                default:
                    break;
            }
        }
    }
}
